For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • GETPreview Resignation Letter
      • POSTRequest contract resignation
      • GETRetrieve worker resignations
      • POSTSign Resignation Letter
      • POSTSubmit EOR Worker Resignation
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsEor Worker Offboarding

Preview Resignation Letter

GET
/eor/workers/contracts/:contract_id/offboarding/resignation-letter
GET
/rest/v2/eor/workers/contracts/:contract_id/offboarding/resignation-letter
$curl https://api.letsdeel.com/rest/v2/eor/workers/contracts/abcd4fg/offboarding/resignation-letter \
> -H "Authorization: Bearer <token>"

Returns a preview of the resignation letter for the EOR contract before the worker submits their signature. Token scopes: worker:read

Was this page helpful?
Previous

Request contract resignation

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
The unique identifier of the employee contract.

Response

File download successful

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error